summaryrefslogtreecommitdiff
path: root/plugins/github/github.plugin.zsh
diff options
context:
space:
mode:
authorfred-o <fredrik.appelberg@gmail.com>2012-02-20 09:41:45 +0100
committerfred-o <fredrik.appelberg@gmail.com>2012-02-20 09:41:45 +0100
commit7e5dda7f434b847e4a8899beb736a7251da3d390 (patch)
tree45eccafa617e7e3ec4e7e97ff7569b157786dd6c /plugins/github/github.plugin.zsh
parentf5041025844a2509f42e0bb19cb8d5418340e10c (diff)
parent362927003bcd8052e294dcbdf14f061ef4f2e173 (diff)
downloadzsh-7e5dda7f434b847e4a8899beb736a7251da3d390.tar.gz
zsh-7e5dda7f434b847e4a8899beb736a7251da3d390.tar.bz2
zsh-7e5dda7f434b847e4a8899beb736a7251da3d390.zip
Merge branch 'master' of https://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'plugins/github/github.plugin.zsh')
-rw-r--r--plugins/github/github.plugin.zsh12
1 files changed, 11 insertions, 1 deletions
diff --git a/plugins/github/github.plugin.zsh b/plugins/github/github.plugin.zsh
index 9b0d54602..197e86a48 100644
--- a/plugins/github/github.plugin.zsh
+++ b/plugins/github/github.plugin.zsh
@@ -1,7 +1,17 @@
# Setup hub function for git, if it is available; http://github.com/defunkt/hub
if [ "$commands[(I)hub]" ] && [ "$commands[(I)ruby]" ]; then
# eval `hub alias -s zsh`
- function git(){hub "$@"}
+ function git(){
+ if ! (( $+_has_working_hub )); then
+ hub --version &> /dev/null
+ _has_working_hub=$(($? == 0))
+ fi
+ if (( $_has_working_hub )) ; then
+ hub "$@"
+ else
+ command git "$@"
+ fi
+ }
fi
# Functions #################################################################